tpm2_makecredential(8)

NAME
tpm2_makecredential - Use the given tpm public key to protect the given secret which are used to encrypt the AK cert.

SYNOPSIS
tpm2_makecredential[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --encKey|--sec|--name|--outFile| ]

Use the given tpm public key to protect the given secret which are used to encrypt the AK cert.

DESCRIPTION
tpm2_makecredential Use the given tpm public key to protect the given secret which are used to encrypt the AK cert.

OPTIONS

-e ,--encKey
    A tpm Public Key which was used to wrap the seed

-s ,--sec
    The secret which will be protected by the key derived from the random seed

-n ,--name
    The name of the key for which certificate is to be created

-o ,--outFile
    output file path, recording the two structures output by tpm2_makecredential function

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_makecredential

    tpm2_makecredential -e <keyFile> -s <secFile> -n <hexString> -o <outFile>